Bug 1284502 - "cannot install both mozjs17-17.0.0-12.fc23.x86_64 and mozjs17-17.0.0-12.fc21.x86_64" on upgrade from F21 to F23
"cannot install both mozjs17-17.0.0-12.fc23.x86_64 and mozjs17-17.0.0-12.fc21...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: dnf-plugin-system-upgrade (Show other bugs)
23
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Will Woods
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-23 08:47 EST by Russell Odom
Modified: 2016-12-20 11:11 EST (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 11:11:51 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Russell Odom 2015-11-23 08:47:09 EST
Description of problem:
On attempt to upgrade from Fedora 21 to 23, "dnf system-upgrade download --releasever=23" reports "cannot install both mozjs17-17.0.0-12.fc23.x86_64 and mozjs17-17.0.0-12.fc21.x86_64"

Version-Release number of selected component (if applicable):
dnf-plugin-system-upgrade-0.5.0-1.fc21.noarch
dnf-0.6.4-7.fc21.noarch

How reproducible:
Every time

Steps to Reproduce:
1. Have a Fedora 21 system with mozjs17-17.0.0-12.fc21.x86_64 AND mozjs17-17.0.0-12.fc21.i686 installed
2. dnf system-upgrade download --releasever=23


Actual results:
[root@gigalith ~]# dnf system-upgrade download --releasever=23
[...]
cannot install both mozjs17-17.0.0-12.fc23.x86_64 and mozjs17-17.0.0-12.fc21.x86_64


Expected results:
Download proceeds as expected


Additional info:
Not sure if this is a dnf bug or a mozjs bug, or something else.

[root@gigalith ~]# rpm -q mozjs17
mozjs17-17.0.0-12.fc21.x86_64
mozjs17-17.0.0-12.fc21.i686
[root@gigalith ~]# rpm -qa | grep dnf
python2-dnf-plugin-system-upgrade-0.5.0-1.fc21.noarch
dnf-plugin-system-upgrade-0.5.0-1.fc21.noarch
dnf-0.6.4-7.fc21.noarch


WORKAROUND:
Removing the i686 package makes the problem go away (don't know why I have it, it's not required by any other package I have installed, but this is an ancient system that's been incrementally upgraded since F13).
Comment 1 Zbigniew Jędrzejewski-Szmek 2015-11-30 08:50:56 EST
Sorry, not much we can do here. Does it work if you specify add --best --allowerasing?
Comment 2 Russell Odom 2015-11-30 17:14:18 EST
I'm afraid I can't test it now - I removed mozjs17-17.0.0-12.fc21.i686 manually and the upgrade to F23 then completed OK.
Comment 3 Luc de Louw 2015-12-05 06:07:05 EST
--best --allowerasing does not work. I also had to remove mozjs17-17.0.0-12.fc21.i686 plus additionally kdeplasma-addons
Comment 4 Fedora End Of Life 2016-11-24 08:39:40 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 5 Fedora End Of Life 2016-12-20 11:11:51 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.